Download it now!
Bug 62483 - Missing Default button in Format -> Alignment dialog at Math
Summary: Missing Default button in Format -> Alignment dialog at Math
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
3.6.5.2 release
Hardware: All All
: medium normal
Assignee: Jorendc
URL:
Whiteboard: target:4.0.4 target:4.2.0 target:4.1....
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-18 17:50 UTC by
Modified: 2013-05-21 20:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Shows the dialog at LibO 3.5 with Default button (10.45 KB, image/png)
2013-03-18 17:50 UTC,
Details
Shows the dialog at LibO 3.6 and 4.0 with Help button and missing Default button (10.02 KB, image/png)
2013-03-18 17:51 UTC,
Details

Note You need to log in before you can comment on or make changes to this bug.
Description 2013-03-18 17:50:03 UTC
Created attachment 76694 [details]
Shows the dialog at LibO 3.5 with Default button

Since LibO 3.6 and launch the Help button in dialogs, the Default button at Format -> Alignment dialog is missing.

Alignment 35.png - shows the dialog at LibO 3.5 with Default button;
Alignmant 40.png - shows the dialog at LibO 3.6 and 4.0 with Help button and missing Default button.
Comment 1 2013-03-18 17:51:49 UTC
Created attachment 76695 [details]
Shows the dialog at LibO 3.6 and 4.0 with Help button and missing Default button
Comment 2 Jorendc 2013-05-19 21:19:53 UTC
Hi,

Thanks for reporting.

@Kü: why should we add the Default button back? I fail to see the usecase of this. I mean, if there were more options then 3, I see there should be a default button to restore the default settings... but I think it's not necessary if you have only 3 options to choose?

@Joel: your opinion? resolved wontfix?

Kind regards,
Joren
Comment 3 2013-05-20 04:33:02 UTC
@Joren:

The Default button don't sets back the standard of this dialog, it sets the adjusted values as standard for Math (by default the dialog sets the adjusted values only for the current formula). Therefore it's necessary to add this button again.
Comment 4 Jorendc 2013-05-20 09:48:23 UTC
(In reply to comment #3)
> @Joren:
> 
> The Default button don't sets back the standard of this dialog, it sets the
> adjusted values as standard for Math (by default the dialog sets the
> adjusted values only for the current formula). Therefore it's necessary to
> add this button again.

Oh, I see. Thanks for correcting me! I think I guessed the usecase to quickly. I'm sorry for that.

In that case, lets mark it as NEW.

Kind regards,
Joren
Comment 5 Jorendc 2013-05-21 18:36:05 UTC
Sorry caolan, wasn't intended to ping you. At first look I didn't saw something wrong, so I was writing a question/comment to you :-). Found the error, so I'm sorry for the noise.

Kind regards,
Joren

PS: patch under review: https://gerrit.libreoffice.org/#/c/3994/ (also with a backport to 4.0 branch).
Comment 7 Commit Notification 2013-05-21 19:45:59 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=875867f38271592d2d32e5833a53149cc45b717f&h=libreoffice-4-0

fdo#62483 missing default button in format -> aligment dialog at math


It will be available in LibreOffice 4.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-05-21 19:46:18 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6899a0689a4410404898a3a8518f2120734d8fea

fdo#62483 missing default button in format -> aligment dialog at math



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Joel Madero 2013-05-21 19:49:29 UTC
4.2.0 or 4.1.0??
Comment 10 Jorendc 2013-05-21 20:15:48 UTC
(In reply to comment #9)
> 4.2.0 or 4.1.0??

4.0.4, 4.2.0 and in a couple of seconds/minutes 4.1.0 too
Comment 11 Commit Notification 2013-05-21 20:19:27 UTC
Joren De Cuyper committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aad3158c716dbdc75ef91979ec97d18c55f5569e&h=libreoffice-4-1

fdo#62483 missing default button in format -> aligment dialog at math


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.